cant play

Forum for bugs and technical problems.

cant play

Postby Batiatari » Thu Apr 26, 2018 6:56 am

java.lang.RuntimeException: javax.media.opengl.GLException: AWT-EventQueue-1: X11GLXContext.createContextImpl ctx !ARB, profile > GL2 requested (OpenGL >= 3.0.1). Requested: GLProfile[GL3bc/GL3bc.hw], current: 3.0 (Compat profile, ES2 compat, FBO, hardware) - 3.0 Mesa 17.3.9
at com.jogamp.common.util.awt.AWTEDTExecutor.invoke(AWTEDTExecutor.java:58)
at jogamp.opengl.awt.AWTThreadingPlugin.invokeOnOpenGLThread(AWTThreadingPlugin.java:103)
at jogamp.opengl.ThreadingImpl.invokeOnOpenGLThread(ThreadingImpl.java:206)
at javax.media.opengl.Threading.invokeOnOpenGLThread(Threading.java:172)
at javax.media.opengl.Threading.invoke(Threading.java:191)
at javax.media.opengl.awt.GLCanvas.display(GLCanvas.java:528)
at haven.HavenPanel.uglyjoglhack(HavenPanel.java:412)
at haven.HavenPanel.run(HavenPanel.java:445)
at java.lang.Thread.run(Thread.java:748)
Caused by: javax.media.opengl.GLException: AWT-EventQueue-1: X11GLXContext.createContextImpl ctx !ARB, profile > GL2 requested (OpenGL >= 3.0.1). Requested: GLProfile[GL3bc/GL3bc.hw], current: 3.0 (Compat profile, ES2 compat, FBO, hardware) - 3.0 Mesa 17.3.9
at jogamp.opengl.x11.glx.X11GLXContext.createImpl(X11GLXContext.java:393)
at jogamp.opengl.GLContextImpl.makeCurrentWithinLock(GLContextImpl.java:660)
at jogamp.opengl.GLContextImpl.makeCurrent(GLContextImpl.java:562)
at jogamp.opengl.GLContextImpl.makeCurrent(GLContextImpl.java:519)
at jogamp.opengl.GLDrawableHelper.invokeGLImpl(GLDrawableHelper.java:1089)
at jogamp.opengl.GLDrawableHelper.invokeGL(GLDrawableHelper.java:978)
at javax.media.opengl.awt.GLCanvas$10.run(GLCanvas.java:1282)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:301)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
at java.awt.EventQueue.access$500(EventQueue.java:97)
at java.awt.EventQueue$3.run(EventQueue.java:709)
at java.awt.EventQueue$3.run(EventQueue.java:703)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:205)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)


my soft
$ uname -a
Linux Kali 4.15.0-kali2-amd64 #1 SMP Debian 4.15.11-1kali1 (2018-03-21) x86_64 GNU/Linux

$ glxinfo | grep OpenGL
OpenGL vendor string: nouveau
OpenGL renderer string: NVA8
OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.3.9
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 17.3.9
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 17.3.9
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

lspci -k | grep -EA3 'VGA|3D|Display'
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Kaveri [Radeon R7 Graphics]
Subsystem: Gigabyte Technology Co., Ltd Kaveri [Radeon R7 Graphics]
Kernel driver in use: radeon
Kernel modules: radeon, amdgpu
--
01:00.0 VGA compatible controller: NVIDIA Corporation GT218 [GeForce 210] (rev a2)
Subsystem: Micro-Star International Co., Ltd. [MSI] N210 [Geforce 210] PCIe graphics adapter
Kernel driver in use: nouveau
Kernel modules: nouveau

$ java -version
openjdk version "9.0.4"
OpenJDK Runtime Environment (build 9.0.4+12-Debian-4)
OpenJDK 64-Bit Server VM (build 9.0.4+12-Debian-4, mixed mode)
Batiatari
 
Posts: 6
Joined: Sun Apr 23, 2017 10:24 am

Re: cant play

Postby Batiatari » Thu Apr 26, 2018 10:25 am

$ java -version
java version "1.8.0_171"
Java(TM) SE Runtime Environment (build 1.8.0_171-b11)
Java HotSpot(TM) 64-Bit Server VM (build 25.171-b11, mixed mode)

same problen((
Batiatari
 
Posts: 6
Joined: Sun Apr 23, 2017 10:24 am

Re: cant play

Postby Batiatari » Fri Apr 27, 2018 10:16 am

SOLVED. update my nvidia driver
Batiatari
 
Posts: 6
Joined: Sun Apr 23, 2017 10:24 am


Return to Bugs & Technicalities

Who is online

Users browsing this forum: Majestic-12 [Bot] and 2 guests